Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction

From: Robert Pluim <[email-masked]>
Date: Tue, 23 Oct 2018 16:02:41 +0200

martin rudalics <[email-masked]> writes:

>> Under KDE the minimum slider length is 21, under GNOME itʼs the same,
>> but the reported height of the echo area is > msl under KDE. This
>> looks like another scaling issue (except in this case the scale factor
>> reported by GTK is 1, so I can't do anything to fix it).
>
> So which of the following interpretations is correct?
>
> (1) The display artifacts happen regardless of whether scaling is
> on or off.
>
> (2) The display artifacts happen only when scaling is on.
>
> (3) The display artifacts happen only when scaling is on and Emacs is
> not aware of that fact because the reported scale factor is 1.

Itʼs (3). If I specifically run emacs with GDK_SCALE=2, then I see no
vertical scrollbar for the echo area, as expected.

Maybe I should just run GNOME all the time :-)

Robert